#authors: Alexander Kazancev <kazancas@mandriva.ru> and Eugene Petrov <dhamp@yandex.ru>
%define name    eiskaltdc
%define version 1.0.30
%define release %mkrel 1
%define distsuffix edm

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Eiskaltdc is a QT Direct Connect client
Summary:ru      Eiskaltdc это клиент Direct Connect на QT
Group:          Networking/File transfer
License:        GPLv3
URL:            http://sourceforge.net/projects/eiskaltdc/
Source0:        Source0:        http://dl.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  libdc-devel >= 0.3.23
BuildRequires:  qt4-devel, bzip2-devel, openssl-devel
%description
Eiskaltdc is a program that uses the Direct Connect protocol. It is compatible
with other DC clients, such as the original DC from Neomodus, DC++ and
derivatives. Eiskaltdc also interoperates with all common DC hub software.

%description -l ru
EiskaltDC это программа, которая использует протокол DC. Она совместима с другими
DC клиентами, такими как DC++ и другие.

%prep
%setup -q

%build
%cmake
%make

%install
rm -rf $RPM_BUILD_ROOT
cd build
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS README COPYING
%{_bindir}/eiskaltdc
%{_datadir}/eiskaltdc
%{_datadir}/applications/eiskaltdc.desktop
%{_datadir}/pixmaps/eiskaltdc.png
%{_datadir}/icons/hicolor/*/apps/eiskaltdc.png
%{_mandir}/man1/eiskaltdc.1*
%{_libdir}/*.so.*

%changelog
* Thu Oct 21 2009 Alexander Kazancev <kazancas@mandriva.ru> 1.0.3

* Wed Oct 07 2009 Alexander Kazancev <kazancas@mandriva.ru> 1.0.3-rc1
- new version 1.0.3-rc1
* Sun Jul 26 2009 Eugene Petrov <dhamp@yandex.ru> 0.4.10-1mdv2009.0
- svn snapshot eiskaltdc (r12)
* Wed Jul 22 2009 Eugene Petrov <dhamp@yandex.ru> 0.4.10.svn.mod-2.2mdv2009.0
- correcting releases
* Sun Jul 19 2009 Eugene Petrov <dhamp@yandex.ru> 0.4.10.svn.mod-2.1mdv2009.0
- recompile with RasenHerz patch and the latest snapshot dclib
* Thu Jul 16 2009 Eugene Petrov <dhamp@yandex.ru> 0.4.10.svn.mod-2mdv2009.0
- rebuild with dclib-0.3.24 and RasendHerz patch
* Wed Jul 15 2009 Eugene Petrov <dhamp@yandex.ru> - 0.4.10.svn.mod-1mdv2009.0
- initial EduMandriva package
